POST Requests: Clean Employee API
Data type:
URLs:
Clean Employee
https://api.coresignal.com/cdapi/v2/data_requests/employee_clean/es_dsl https://api.coresignal.com/cdapi/v2/data_requests/employee_clean/id_file https://api.coresignal.com/cdapi/v2/data_requests/employee_clean/shorthand_names https://api.coresignal.com/cdapi/v2/data_requests/employee_clean/urls
Overview
Bulk Collect features three POST endpoints, making collecting employee data records in bulk easier.
Find step-by-step guides for making Bulk Collect POST requests in the following topic:
Elasticsearch DSL requests
Use the endpoint /v2/data_requests/employee_clean/es_dsl to request employee data in bulk using our Elasticsearch DSL schema.
Endpoint usage example
curl -X 'POST' \
'https://api.coresignal.com/cdapi/v2/data_requests/employee_clean/es_dsl' \
-H 'accept: application/json' \
-H 'apikey: {API Key}' \
-H 'Content-Type: application/json' \
-d '{
"webhook_url": "{optional_webhook_url}",
"limit": {optional_integer},
"es_dsl_query": {
"query": {
"bool": {
"should": [
{
"query_string": {
"query": "Python",
"default_field": "description",
"default_operator": "and"
}
},
{
"query_string": {
"query": "Python",
"default_field": "job_title",
"default_operator": "and"
}
},
{
"nested": {
"path": "experience",
"query": {
"bool": {
"should": [
{
"query_string": {
"query": "Python",
"default_field": "experience.description",
"default_operator": "and"
}
},
{
"query_string": {
"query": "Python",
"default_field": "experience.title",
"default_operator": "and"
}
}
]
}
}
}
}
]
}
}
}
}'Retrieve the request ID from the response body
Locationresponse header provides a URL where the results can be retrieved.
Location: /v2/data_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files
ID File requests
Use the endpoint /v2/data_requests/employee_clean/id_file to submit a list of IDs in a .csv or .txt file format to request employee data in bulk. The following topic explains how to make ID File request:
Endpoint usage example
Retrieve the request_id from the response body:
Locationresponse header provides a URL where the results can be retrieved.
Location: /v2/data_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files
Shorthand names and URLs requests
You can send up to 10,000 shorthand_names or URLs per request. Requirements for shorthand_names are listed below:
Endpoint usage
Retrieve the request ID from the response body:
Locationresponse header provides a URL where the results can be retrieved.
Location: /v2/data_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files
Following steps
Last updated
Was this helpful?